#!/bin/bash

app_name="fastfetch"

version="2.38.0"
release="v${version}"

deb_arch="amd64"

if [ "$1" == "arm" ]; then
  deb_arch="aarch64"
fi

if [ -d "./${app_name}_${deb_arch}" ]; then
  sudo rm -rf ./${app_name}_${deb_arch}
fi

deb_url="https://github.com/fastfetch-cli/fastfetch/releases/download/${version}/fastfetch-linux-${deb_arch}.deb"


wget $deb_url -O "${app_name}_${deb_arch}.deb"

apt deb "./${app_name}_${deb_arch}.deb"

rm -rf "${app_name}_${deb_arch}.deb"

echo "删除 flashfetch"
rm -rf "${app_name}_${deb_arch}/usr/bin/flashfetch"

echo "压缩 fastfetch"
strip -s "${app_name}_${deb_arch}/usr/bin/fastfetch"

echo "处理完成, 计算文件md5..."


cd "${app_name}_${deb_arch}"
find usr/ -type f | xargs md5sum > DEBIAN/md5sums

echo '计算文件md5完成, 打包中...'

cd ..
sudo chown -R root:root "./${app_name}_${deb_arch}"

apt deb "./${app_name}_${deb_arch}"

sudo rm -rf "./${app_name}_${deb_arch}"
echo "打包完成 :)"